<!--{include file="<!--{$oetplpath}-->public/widget_header.tpl"}-->
<script src="<!--{$skinpath}-->public/js/login.js"></script>
<div class="oe_public_top">
  <div class="oe_public_topcon">
    <!--{include file="<!--{$oetplpath}-->public/widget_logo.tpl"}-->
    <div class="_top_title">
      <i></i>
      <span>收银台</span>
    </div>
    <div class="_top_tips">
      请选择在线支付方式，完成订单支付！
    </div>
    <div class="clear"></div>
  </div>
</div>
<!--//oe_public_top End-->

<div class="oe_pay_layout">
  <div class="_pay_con">
	<input type="hidden" name="typeid" id="typeid" value="" />
	<input type="hidden" name="bankid" id="bankid" value="" />
    <div class="oe_pay_top">
      <h2>
	    支付单号：<!--{$paynum}-->（<!--{$payorder.title}-->）
	    <label>应付金额：<i><!--{$payorder.amount}--></i> 元</label>
	  </h2>
	  <p>选择在线支付方式，尽快完成支付。</p>
    </div>
	<!--//oe_pay_top End-->
	
	<!--{assign var='paymentlist' value=vo_list("mod={payment} where={v.type='pc'}")}-->
	<div class="oe_pay_list" id="list_item_tag">
	  <ul>
	    <!--{if $weixin_payflag == '1'}-->
	    <li class="_current" id="li_0" data-id="0">微信支付</li>
		<!--{/if}-->
	    <!--{foreach $paymentlist as $volist}-->
		<!--{if $weixin_payflag == '1'}-->
	    <li id="li_<!--{$volist.i}-->" data-id="<!--{$volist.sdkid}-->" data-sdk="<!--{$volist.sdkname}-->"><!--{$volist.title}--></li>
		<!--{else}-->
		<li<!--{if $volist.i == '1'}--> class="_current"<!--{/if}--> id="li_<!--{$volist.i}-->" data-id="<!--{$volist.sdkid}-->" data-sdk="<!--{$volist.sdkname}-->"><!--{$volist.title}--></li>
		<!--{/if}-->
		<!--{/foreach}-->
        <!--{if $login.user.money >= $payorder.amount && $payorder.paytype != 'recharge'}-->
        <li id="li_999" data-id="999" data-sdk="depositpay">余额支付</li>
        <!--{/if}-->
		<div class="clear"></div>
	  </ul>
	</div>
	<script type="text/javascript">
	$(function(){
		$tag_li = $("#list_item_tag li");
        $tag_li.click(function(){
            $(this).addClass("_current").siblings().removeClass("_current");

            $menu_id = $(this).attr("data-id");
            $sdk_name = $(this).attr("data-sdk");

            //重置
            $("#typeid").val("");
            $("#bankid").val("");
            $("._bank_list_1 li").removeClass("_current");
            $("._bank_list_2 li").removeClass("_current");
            $("._bank_list_3 li").removeClass("_current");

            $(".oe_pay_ment").hide();
            $("#box_"+$menu_id).show();
            if ($menu_id == '0' || $menu_id == '999') {
                $("#btn_go_box").hide(); //微信支付
            }
            else {
                //alert($sdk_name);
                //非微信支付
                $("#btn_go_box").show();
                $li_first_obj = $("#box_"+$menu_id).find("ul li").first();
                if ($sdk_name == "yeepay") {
                    oeSelctBank($li_first_obj, $menu_id, "CMBCHINA-NET-B2C");
                }
                else if ($sdk_name == "yeepaycard") {
                    oeSelctBank($li_first_obj, $menu_id, "SZX-NET");
                }
                else {
                    oeSelctBank($li_first_obj, $menu_id, "");
                }
            }
        });
	});
	</script>
	<!--//oe_pay_list End-->
	
	<!--{if $weixin_payflag == '1'}-->
	<div class="oe_pay_ment" id="box_0">
	  <h3>打开手机微信，扫一扫继续付款。微信付款成功后，请刷新本页面。</h3>
	  <img src="<!--{$urlpath}-->api/weixinpay/qrcode.php?data=<!--{$weixin_url}-->" style="width:200px;width:200px;"/>
	</div>
	<!--{/if}-->

    <!--{foreach $paymentlist as $volist}-->

	<!--{if $volist.sdkname == 'yeepay'}-->
	<div class="oe_pay_ment" id="box_<!--{$volist.sdkid}-->" style="<!--{if $weixin_payflag == '1'}-->display:none;<!--{else}--><!--{if $volist.i == '1'}-->display:block;<!--{else}-->display:none;<!--{/if}--><!--{/if}-->">
	  <h3>通过网上银行轻松快捷支付，支持全国几十家银行的储蓄卡和信用卡，还可以通过移动充值卡支付。</h3>
	  <ul class="_bank_list_1">
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'CMBCHINA-NET-B2C');"><label></label><span class="_logo_1"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'ICBC-NET-B2C');"><label></label><span class="_logo_2"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'BOC-NET-B2C');"><label></label><span class="_logo_3"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'CCB-NET-B2C');"><label></label><span class="_logo_4"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'ABC-NET-B2C');"><label></label><span class="_logo_5"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'POST-NET-B2C');"><label></label><span class="_logo_6"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'BOCO-NET-B2C');"><label></label><span class="_logo_7"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'CMBC-NET-B2C');"><label></label><span class="_logo_8"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'CIB-NET-B2C');"><label></label><span class="_logo_9"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'SPDB-NET-B2C');"><label></label><span class="_logo_10"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'GDB-NET-B2C');"><label></label><span class="_logo_11"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'CEB-NET-B2C');"><label></label><span class="_logo_12"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'ECITIC-NET-B2C');"><label></label><span class="_logo_13"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'BCCB-NET-B2C');"><label></label><span class="_logo_14"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'BJRCB-NET-B2C');"><label></label><span class="_logo_15"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'PINGANBANK-NET');"><label></label><span class="_logo_16"></span></li>
		<div class="clear"></div>
	  </ul>
	</div>
	<!--{if $volist.i == '1'}-->
	<script type="text/javascript">
	$(function(){
		$li_first = $("#box_<!--{$volist.sdkid}-->").find("ul li").first();
		oeSelctBank($li_first, "<!--{$volist.sdkid}-->", "CMBCHINA-NET-B2C");
	});
	</script>
	<!--{/if}-->
	<!--//oe_pay_ment End-->

	<!--{elseif $volist.sdkname == 'yeepaycard'}-->
	<div class="oe_pay_ment" id="box_<!--{$volist.sdkid}-->" style="<!--{if $weixin_payflag == '1'}-->display:none;<!--{else}--><!--{if $volist.i == '1'}-->display:block;<!--{else}-->display:none;<!--{/if}--><!--{/if}-->">
	  <h3>支持移动、联通、电信、Q币卡的充值卡、骏网一卡通，推荐使用神州行全国充值卡。</h3>
	  <ul class="_bank_list_2">
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'SZX-NET');"><label></label><span class="_logo_1"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'UNICOM-NET');"><label></label><span class="_logo_5"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'TELECOM-NET');"><label></label><span class="_logo_12"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'QQCARD-NET');"><label></label><span class="_logo_6"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'SNDACARD-NET');"><label></label><span class="_logo_2"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'JUNNET-NET');"><label></label><span class="_logo_3"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'ZHENGTU-NET');"><label></label><span class="_logo_4"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'JIUYOU-NET');"><label></label><span class="_logo_7"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'YPCARD-NET');"><label></label><span class="_logo_8"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'NETEASE-NET');"><label></label><span class="_logo_9"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'WANMEI-NET');"><label></label><span class="_logo_10"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'SOHU-NET');"><label></label><span class="_logo_11"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'TIANHONG-NET');"><label></label><span class="_logo_13"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'TIANXIA-NET');"><label></label><span class="_logo_14"></span></li>
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', 'ZONGYOU-NET');"><label></label><span class="_logo_15"></span></li>
		<div class="clear"></div>
	  </ul>
	</div>
	<!--{if $volist.i == '1'}-->
	<script type="text/javascript">
	$(function(){
		$li_first = $("#box_<!--{$volist.sdkid}-->").find("ul li").first();
		oeSelctBank($li_first, "<!--{$volist.sdkid}-->", "SZX-NET");
	});
	</script>
	<!--{/if}-->
	<!--//oe_pay_ment End-->
	
	<!--{elseif $volist.sdkname == 'wangyin'}-->
	<div class="oe_pay_ment" id="box_<!--{$volist.sdkid}-->" style="<!--{if $weixin_payflag == '1'}-->display:none;<!--{else}--><!--{if $volist.i == '1'}-->display:block;<!--{else}-->display:none;<!--{/if}--><!--{/if}-->">
	  <h3>通过网上银行轻松快捷支付，支持全国几十家银行的储蓄卡和信用卡，还可以通过移动充值卡支付。</h3>
	  <ul class="_bank_list_3">
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', '');"><label></label><span class="_logo_wangyin"></span></li>
		<div class="clear"></div>
	  </ul>
	</div>
	<!--{if $volist.i == '1'}-->
	<script type="text/javascript">
	$(function(){
		$li_first = $("#box_<!--{$volist.sdkid}-->").find("ul li").first();
		oeSelctBank($li_first, "<!--{$volist.sdkid}-->", "");
	});
	</script>
	<!--{/if}-->
	<!--//oe_pay_ment End-->

	
	<!--{elseif $volist.sdkname == 'alipay'}-->
	<div class="oe_pay_ment" id="box_<!--{$volist.sdkid}-->" style="<!--{if $weixin_payflag == '1'}-->display:none;<!--{else}--><!--{if $volist.i == '1'}-->display:block;<!--{else}-->display:none;<!--{/if}--><!--{/if}-->">
	  <h3>您已经开通支付宝帐号可以通过支付宝帐号来支付，支付宝支持网上银行支付和各大银行信用卡支付。</h3>
	  <ul class="_bank_list_3">
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', '');"><label></label><span class="_logo_alipay"></span></li>
		<div class="clear"></div>
	  </ul>
	</div>
	<!--{if $volist.i == '1'}-->
	<script type="text/javascript">
	$(function(){
		$li_first = $("#box_<!--{$volist.sdkid}-->").find("ul li").first();
		oeSelctBank($li_first, "<!--{$volist.sdkid}-->", "");
	});
	</script>
	<!--{/if}-->
	<!--//oe_pay_ment End-->

	<!--{elseif $volist.sdkname == 'alipaydual'}-->
	<div class="oe_pay_ment" id="box_<!--{$volist.sdkid}-->" style="<!--{if $weixin_payflag == '1'}-->display:none;<!--{else}--><!--{if $volist.i == '1'}-->display:block;<!--{else}-->display:none;<!--{/if}--><!--{/if}-->">
	  <h3>您已经开通支付宝帐号可以通过支付宝帐号来支付，支付宝支持网上银行支付和各大银行信用卡支付。</h3>
	  <ul class="_bank_list_3">
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', '');"><label></label><span class="_logo_alipay"></span></li>
		<div class="clear"></div>
	  </ul>
	</div>
	<!--{if $volist.i == '1'}-->
	<script type="text/javascript">
	$(function(){
		$li_first = $("#box_<!--{$volist.sdkid}-->").find("ul li").first();
		oeSelctBank($li_first, "<!--{$volist.sdkid}-->", "");
	});
	</script>
	<!--{/if}-->
	<!--//oe_pay_ment End-->

	<!--{elseif $volist.sdkname == 'alipayescow'}-->
	<div class="oe_pay_ment" id="box_<!--{$volist.sdkid}-->" style="<!--{if $weixin_payflag == '1'}-->display:none;<!--{else}--><!--{if $volist.i == '1'}-->display:block;<!--{else}-->display:none;<!--{/if}--><!--{/if}-->">
	  <h3>您已经开通支付宝帐号可以通过支付宝帐号来支付，支付宝支持网上银行支付和各大银行信用卡支付。</h3>
	  <ul class="_bank_list_3">
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', '');"><label></label><span class="_logo_alipay"></span></li>
		<div class="clear"></div>
	  </ul>
	</div>
	<!--{if $volist.i == '1'}-->
	<script type="text/javascript">
	$(function(){
		$li_first = $("#box_<!--{$volist.sdkid}-->").find("ul li").first();
		oeSelctBank($li_first, "<!--{$volist.sdkid}-->", "");
	});
	</script>
	<!--{/if}-->
	<!--//oe_pay_ment End-->


	<!--{elseif $volist.sdkname == 'tenpay'}-->
	<div class="oe_pay_ment" id="box_<!--{$volist.sdkid}-->" style="<!--{if $weixin_payflag == '1'}-->display:none;<!--{else}--><!--{if $volist.i == '1'}-->display:block;<!--{else}-->display:none;<!--{/if}--><!--{/if}-->">
	  <h3>请确保您已经开通腾讯财付通帐号。</h3>
	  <ul class="_bank_list_3">
		<li onclick="oeSelctBank(this, '<!--{$volist.sdkid}-->', '');"><label></label><span class="_logo_tenpay"></span></li>
		<div class="clear"></div>
	  </ul>
	</div>
	<!--{if $volist.i == '1'}-->
	<script type="text/javascript">
	$(function(){
		$li_first = $("#box_<!--{$volist.sdkid}-->").find("ul li").first();
		oeSelctBank($li_first, "<!--{$volist.sdkid}-->", "");
	});
	</script>
	<!--{/if}-->
	<!--//oe_pay_ment End-->

	<!--{/if}-->
	<!--{/foreach}-->

    <!--{if $login.user.money >= $payorder.amount && $payorder.paytype != 'recharge'}-->
    <div class="oe_pay_ment" id="box_999" style="display: none;">
        <h3>使用余额支付。余额付款成功后，请刷新本页面。</h3>
        <ul class="_bank_list_3">
            <li class="current">
                <label></label>
                <span class="_logo_balance"></span>
            </li>
        </ul>
        <div class="clear"></div>
        <dl class="dl_1" style="padding-top:30px; display:block; border-top:1px dotted #ebebeb; margin-top:20px;">
            <dd>用户余额：<span>￥<!--{number_format($login.user.money, 2)}--></span></dd>
            <dt style="line-height: 40px; height: 40px; margin: 10px 0;">
                <label style="font-size: 16px;">支付密码：</label>
                <input type="password" name="payword" id="payword">
                <!--{if empty($login.user.payword)}--><a href="<!--{$oefile}-->?m=user&c=profile&a=setpaypass" style="color: red;"> 请先到会员中心【设置支付密码】</a> <!--{/if}-->
            </dt>
            <dd> </dd>
        </dl>
        <div class="oe_pay_button">
            <input class="ui-button ui-button-lblue" id="J_authSubmit" f="depositpay" type="button" value="确认付款">
        </div>
    </div>
    <script type="text/javascript">
        $(function(){
            $(document).on("click", "[f='depositpay']", function(){
                $payword = $("#payword").val();
                if ($payword.length == 0){
                    ToastShow("请输入支付密码", "payword");
                    return false;
                }
                $url = "<!--{$oefile}-->?c=<!--{$c}-->&a=depositpay&paynum=<!--{$payorder.paynum}-->&payword="+$payword;
                $.ajax({
                    type: "POST",
                    url: $url,
                    cache: false,
                    data: {r:get_rndnum(8)},
                    dataType: "json",
                    success: function($data) {
                        $json = eval($data);
                        $response = $json.response;
                        $result = $json.result;
                        if ($response == "1") {
                            if ($result.length > 0){
                                ToastShow($result);
                            }
                            else{
                                ToastShow("支付成功");
                            }
                            setTimeout(function(){window.location.reload();}, 800);
                        }
                        else if($response == "2"){
                            window.location.reload();
                        }
                        else{
                            if ($result.length > 0) {
                                ToastShow($result);
                            }
                            else {
                                ToastShow("余额支付失败，请选择其他支付方式");
                            }
                        }
                    },
                    error: function() {
                        ToastShow("系统繁忙，请稍后再试");
                    }
                });
            });
        });

    </script>
    <!--{/if}-->
	
	<div class="oe_pay_button" id="btn_go_box" style="<!--{if $weixin_payflag == '1'}-->display:none;<!--{/if}-->">
	  <dl>
	    <dt>应付金额：<i><!--{$payorder.amount}--></i> 元 </dt>
		<dd>
		  <span id="btn_submitpay">提交支付</span>
		</dd>
		<div class="clear"></div>
	  </dl>
	  <div class="clear"></div>
	</div>
	<!--//oe_pay_button End-->


	<div class="_pay_tip">
		<b>温馨提示：</b><br>
        1、选择支付方式，完成订单支付；<br />
		2、在支付过程中，如果出现网页错误或者打开缓慢，请先查询银行或者相关支付方式的交易记录，检查付款是否成功；<br />
		3、支付成功后，如果浏览器没有自动返回到网站，请手动点击“返回商城取货”来完成网站支付订单步骤；<br />
		4、如果在支付中，遇到问题，请联系网站管理员处理；
	</div>
	<!--//_pay_tip End-->


  </div>
  <!--//_pay_con End-->
</div>

<div class="varpop-shade"></div>
<div class="oe_pay_flow" id="flow_varpop">
  <div class="oe_pay_flow_title">
    <h3>温馨提示<i onclick="varPopClose('flow_varpop');"></i></h3>
  </div>
  <div class="oe_pay_flow_con">
    <h3>请在新打开页面上完成付款！</h3>
	<p>
	    支付单号：<span id="paynum_tip"></span><br />
 	    付款后请不要马上关闭付款页面；<br />
	    付款成功后请等待几秒返回到网站交易结果提示页面；<br />
	    完成付款请根据您的实际情况进行下面操作； <br />
		部分浏览器不能弹出支付窗口，请检查浏览器是否有禁止本站弹出的设置。
	</p>
	<h4>
	  <i id="btn_finish">完成付款</i>
	  <span>付款遇到问题？<a href="<!--{$oefile}-->?c=pay&paynum=<!--{$paynum}-->">返回选择其他支付方式&gt;&gt;</a></span>

	  <span>
	  <form name="pay_form" id="pay_form" action="" method="post" target="_blank"></form>
	  </span>
	</h4>
  </div>
</div>
<script type="text/javascript">
function oeSelctBank(obj, typeid, bankid) {
	if (typeof(bankid) == "undefiend") {
		bankid = "";
	}
	$("._bank_list_1 li").removeClass("_current");
	$("._bank_list_2 li").removeClass("_current");
	$("._bank_list_3 li").removeClass("_current");
	$(obj).addClass("_current");
	$("#typeid").val(typeid);
	$("#bankid").val(bankid);
}


$(function(){

	$("#btn_submitpay").bind("click", function(){ //提交支付
		$typeid = $("#typeid").val();
		$bankid = $("#bankid").val();
		if ($typeid < 1) {
			ToastShow("请选择支付方式");
			return false;
		}

		$.ajax({
			type: "POST",
			url: "<!--{$oefile}-->?c=pay",
			cache: false,
			async: false,
			data: {a:"savepaysdk", paynum:"<!--{$paynum}-->", sdkid:$typeid, bankid:$bankid, r:get_rndnum(8)},
			dataType: "json",
			success: function($data) {
				$json = eval($data);
				$response = $json.response;
				$result = $json.result;

				if ($response == "1") {
					$("#paynum_tip").html($result);
					varPopShow('flow_varpop');
					$url = "<!--{$oefile}-->?c=pay&a=submit&paynum=<!--{$paynum}-->";				
					window.open($url);
				}
				else {
					if ($result.length > 0) {
						ToastShow($result);
					}
					else {
						ToastShow("提交失败，请重新支付。");
					}
				}
			},
			error: function() {
				ToastShow("提交失败，请检查网络...");
			}
		});

	});

	$("#btn_finish").bind("click", function(){
		window.location.href = "<!--{$oefile}-->?c=pay&a=show&paynum=<!--{$paynum}-->";
	});
});
</script>

<!--{include file="<!--{$oetplpath}-->public/widget_footer.tpl"}-->
</body>
</html>